# Class GridPlotter.GridStyle

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.GridPlotter.GridStyle

All Implemented Interfaces:
  `Style`

Enclosing class:
  `GridPlotter`

public static class GridPlotter.GridStyle extends Object implements Style
Style for configuring the grid plot.

Since:
  13 Jan 2017
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`GridStyle(BinSizer xSizer, BinSizer ySizer, double xPhase, double yPhase, Scaling scaling, Subrange dataclip, Shader shader, Combiner combiner)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Icon`
`getLegendIcon()`
Returns an icon suitable for displaying in a legend for this style.
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GridStyle

public GridStyle(BinSizer xSizer, BinSizer ySizer, double xPhase, double yPhase, Scaling scaling, Subrange dataclip, Shader shader, Combiner combiner)
Constructor.

Parameters:
  `xSizer` - determines X bin extent
  `ySizer` - determines Y bin extent
  `xPhase` - X axis bin reference point, 0..1
  `yPhase` - Y axis bin reference point, 0..1
  `scaling` - scaling function for mapping densities to colour map entries
  `dataclip` - scaling input adjustment subrange
  `shader` - colour map
  `combiner` - value combination mode for bin calculation

## Method Details

### getLegendIcon

public Icon getLegendIcon()
Description copied from interface: `Style`
Returns an icon suitable for displaying in a legend for this style.

Specified by:
  `getLegendIcon` in interface `Style`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`